Retrieves all the company contact
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ccaa4edf-2d41-49ce-84fa-3c237dfd0b79",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "3b9c78e4-f80d-4ad0-8f5b-d1702f077088",
"company_code": "sample string 5",
"company": {
"id": "af094c12-d6ba-473e-9ccd-b2f14cfc5a23",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-17T02:00:08.9208829+00:00",
"sales_territory_id": "3d5d83c9-331d-433b-8b28-9af7c45261c8",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "ab77f968-ab5a-417a-ae8b-95904e2ec719",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "e85ab293-bf30-4cd9-a2c7-7a0bfa9639f2",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "7a262e5e-c961-47b3-bc62-1932e4a0b181",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "aed15744-170e-4858-9459-ac819ef15d34",
"db_currency_id": "0828540e-bd1e-4fc6-8da5-c7b67adb968a",
"db_language_id": "cab6a904-07c0-40b3-8463-e949ac56f354",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T02:00:08.9208829+00:00"
},
"modified_dateutc": "2026-11-17T02:00:08.9208829+00:00"
},
"marketing_segment_id": "7930fc9a-b822-486b-9f03-293b2893ec2b",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "472ef270-96d4-43b4-b243-f84f3d299d15",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "e95d2e10-c3c9-4349-9ff9-f6487ceb919b",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "a8b79310-512e-494e-978f-15cbfed2bc85",
"db_country_code": "sample string 28",
"feelist_id": "7cdeae29-76b5-4c41-9cdc-e38568bc4cc9",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "19030320-b6bb-413e-83aa-6051e9fb3b9d",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "5b3e6e8e-f5fd-45b8-901a-b67fd5e48f8d",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-17T02:00:08.9208829+00:00",
"db_currency_id": "61837039-73e1-4c9f-a732-23cd2bfb311a",
"db_currency_code": "sample string 10"
},
"company_type_id": "5d83735e-8f51-43d1-b255-c472b2cfdf36",
"company_type_name": "sample string 32",
"company_type": {
"id": "05f55a61-00c6-4ecb-930e-f8ca0846b6b0",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "31c52501-4aa7-4e35-82d9-c65ddd3cf6d9",
"sales_organization_code": "sample string 5"
},
"db_language_id": "edf04fb8-0cb2-4a90-9a51-2db75696fb90",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "b1c1c0b3-2475-4d68-bc49-bb5c3b08ca7f",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "179099a9-63f9-40ff-90d7-40d6925e2025",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "aa9cfc24-6a1b-4740-acbb-3d595cba1753",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-17T02:00:08.9208829+00:00"
},
"company_sector_id": "ae46d044-a5e5-4b80-8733-ae5673756cb2",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "5ab9c795-bf14-403e-a3af-7f4fdfb74b98",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "3eada334-765e-45a0-96c6-d52a4d984aea",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "6246677e-bc54-4476-9bd4-b0b1e647672b",
"account_manager_user_code": "sample string 56",
"company_status_id": "1047e13c-418f-4efb-be8a-6581aed82c31",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-17T02:00:08.9385976+00:00",
"id2": 60
},
"db_language_id": "6b13ed1b-75d1-44a0-ae97-8cbd79c755c3",
"db_language_code": "sample string 7",
"db_title_id": "f4029071-dc8a-404c-9805-2a850c1165d3",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-17T02:00:08.9385976+00:00",
"create_date": "2026-11-17T02:00:08.9385976+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-17T02:00:08.9385976+00:00"
}